Version 2
Check Status
API to check status prepaid transaction.
Path
| Method | Path |
|---|---|
| POST | api/check-status |
Request Body
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| username | String | Your registered phone number | Yes |
| ref_id | String | Your order number / reference ID ( must unique ) | Yes |
| sign | String | Signature. Value: md5(username+api_key+ref_id) | Yes |
{
"username" : "082210138584",
"ref_id" : "order001",
"sign" : "96e1028f6beaa817ee3670a39c01c69d"
}
<?xml version="1.0"?>
<mp>
<username>082210138584</username>
<ref_id>order001</ref_id>
<sign>96e1028f6beaa817ee3670a39c01c69d</sign>
</mp>
Response
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| ref_id | String | Your order number / reference ID ( must unique ) | Yes |
| status | Double | Transaction Status. List of status: 0:PROCESS 1:SUCCESS 2:FAILED | Yes |
| product_code | String | Product Code | Yes |
| customer_id | String | Customer ID | Yes |
| price | Double | Product price | Yes |
| message | String | Message | Yes |
| sn | String | Serial Number (only appear when status is success). See here for SN format | No |
| pin | String | Pin (only appear in games product) | No |
| activation_code | String | Activation Code (only appear in esim product) | No |
| balance | Double | Final Balance | Yes |
| tr_id | Integer | Transaction ID | Yes |
| rc | String | Response code. See response code list | Yes |
Success Response Example
{
"data": {
"ref_id": "order001",
"status": 1,
"product_code": "xld25000",
"customer_id": "0817777215",
"price": 25000,
"message": "SUCCESS",
"sn": "123456789",
"balance": 997061249,
"tr_id": 3482,
"rc": "00"
}
}
<?xml version="1.0"?>
<mp>
<ref_id>order001</ref_id>
<status>1</status>
<product_code>xld25000</code>
<customer_id>0817777215</customer_id>
<price>25000</price>
<message>SUCCESS</message>
<sn>123456789</sn>
<balance>69000</balance>
<tr_id>6159309</tr_id>
<rc>00</rc>
</mp>
Failed Response Example
{
"data": {
"ref_id": "order001",
"status": 2,
"product_code": "xld25000",
"customer_id": "0817777215",
"price": 25000,
"message": "FAILED",
"balance": 997061249,
"tr_id": 3482,
"rc": "07"
}
<?xml version="1.0"?>
<mp>
<ref_id>order001</ref_id>
<status>2</status>
<product_code>xld25000</product_code>
<customer_id>0817777215</customer_id>
<price>25000</price>
<message>FAILED</message>
<balance>69000</balance>
<tr_id>6159309</tr_id>
<rc>07</rc>
</mp>
Live Testing
Request URL
https://prepaid.iak.dev/api/check-status
Request Method
Request Header
Content-Type: application/json
Body
Result
Tutorial Video
You can see this video for check status code explanation using Laravel.

Or you can see this video for check status code explanation using PHP.

Auto Detect Operator
API to top up prepaid products. IAK will automatically detect the operator for each number in hp field that you send. Change the pulsa_code field to one of the code we listed below to activate this feature.
Raw
API to download receipt with JSON/XML format after making prepaid transaction.